Package org.firebirdsql.gds.ng.wire.crypt

## Class KnownServerKey

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.KnownServerKey

    public final class KnownServerKey
    extends java.lang.Object

Class to hold server keys known to the client.

Since:
  3.0
Author:
  Mark Rotteveel

### Nested Class Summary

Nested Classes
`static class` `KnownServerKey.PluginSpecificData` Class to hold plugin specific data.

### Constructor Summary

Constructors
`KnownServerKey​(java.lang.String keyType, java.lang.String plugins, java.util.Map<java.lang.String,​byte[]> specificData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`java.util.List<KnownServerKey.PluginSpecificData>` `getPluginSpecificData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KnownServerKey

    public KnownServerKey​(java.lang.String keyType,
                          java.lang.String plugins,
                          java.util.Map<java.lang.String,​byte[]> specificData)

### Method Detail

#### getPluginSpecificData

    public java.util.List<KnownServerKey.PluginSpecificData> getPluginSpecificData()

#### clear

    public void clear()